
Installer - Feature #28915

Always run foreman upgrade tasks as a post hook

02/03/2020 10:01 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/460,

https://github.com/theforeman/foreman-i

nstaller/pull/473

  

Description

Associated revisions

Revision ba994b62 - 02/18/2020 05:46 PM - Eric Helms

Fixes #28915: Always run foreman upgrade rake tasks in post hooks

Revision 22d6a20f - 02/21/2020 11:40 AM - Ewoud Kohl van Wijngaarden

Refs #28915 - Only run upgrade if the installer ran

If the user passed in --noop, no upgrade should take place. When the

install failed, there's also no point in running the upgrades.

History

#1 - 02/03/2020 10:02 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/460 added

#2 - 02/18/2020 05:46 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 02/18/2020 06:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset installer|ba994b6218c597fcd1058da1ff2c0970745ccb9f.

#4 - 02/21/2020 11:41 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/473 added
